%global gh_project  rabbitmq-c
%global soname      4

Summary:       Client library for AMQP
Name:          librabbitmq
Version:       0.13.0
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/alanxz/rabbitmq-c
Source0:       %{url}/archive/refs/tags/v%{version}.tar.gz

Patch0001:     rabbitmq-c-CVE-2023-35789.patch

BuildRequires: gcc cmake openssl-devel popt-devel xmlto make

%description
This is a C-language AMQP client library for use with AMQP servers speaking protocol versions 0-9-1.

%package devel
Summary:    Header files and development libraries for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the header files and development libraries for %{name}.

%package tools
Summary:    Example tools built using the librabbitmq package
Requires:   %{name} = %{version}

%description tools
This package contains example tools built using %{name}.

It provides:
amqp-consume        Consume messages from a queue on an AMQP server
amqp-declare-queue  Declare a queue on an AMQP server
amqp-delete-queue   Delete a queue from an AMQP server
amqp-get            Get a message from a queue on an AMQP server
amqp-publish        Publish a message on an AMQP server


%prep
%autosetup -n %{gh_project}-%{version} -p1
cp -pr examples Examples
sed -e '/test_basic/d' -i tests/CMakeLists.txt


%build
%cmake \
  -DBUILD_TOOLS:BOOL=ON \
  -DBUILD_TOOLS_DOCS:BOOL=ON \
  -DBUILD_TESTING:BOOL=OFF \
  -DBUILD_STATIC_LIBS:BOOL=OFF \
  -S .

%cmake_build

%install
%cmake_install

%check
grep @ %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc && exit 1
grep static %{buildroot}%{_libdir}/cmake/rabbitmq-c/*.cmake && exit 1

%ctest

%files
%license LICENSE
%{_libdir}/librabbitmq.so*


%files devel
%license AUTHORS
%doc THANKS *.md Examples
%{_libdir}/librabbitmq.so
%{_includedir}/amqp*
%{_includedir}/rabbitmq-c
%{_libdir}/pkgconfig/librabbitmq.pc
%{_libdir}/cmake/rabbitmq-c

%files tools
%doc %{_mandir}/man1/amqp-*.1*
%doc %{_mandir}/man7/librabbitmq-tools.7*
%{_bindir}/amqp-*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 0.13.0-1
- update to 0.13.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 0.11.0-1
- initial build
